Package org.lwjgl.util.glu

# Class GLU

java.lang.Object
org.lwjgl.util.glu.GLU

public class GLU extends Object
GLU.java Created 23-dec-2003

Author:
  Erik Duijs

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GLU_AUTO_LOAD_MATRIX`
NURBS constants
`static final int`
`GLU_BEGIN`
`static final int`
`GLU_CCW`
`static final int`
`GLU_CULLING`
`static final int`
`GLU_CW`
`static final int`
`GLU_DISPLAY_MODE`
`static final int`
`GLU_DOMAIN_DISTANCE`
`static final int`
`GLU_EDGE_FLAG`
`static final int`
`GLU_END`
`static final int`
`GLU_ERROR`
`static final int`
`GLU_EXTENSIONS`
`static final int`
`GLU_EXTERIOR`
`static final boolean`
`GLU_FALSE`
`static final int`
`GLU_FILL`
`static final int`
`GLU_FLAT`
`static final int`
`GLU_INCOMPATIBLE_GL_VERSION`
`static final int`
`GLU_INSIDE`
`static final int`
`GLU_INTERIOR`
`static final int`
`GLU_INVALID_ENUM`
`static final int`
`GLU_INVALID_VALUE`
`static final int`
`GLU_LINE`
`static final int`
`GLU_MAP1_TRIM_2`
`static final int`
`GLU_MAP1_TRIM_3`
`static final int`
`GLU_NONE`
`static final int`
`GLU_NURBS_ERROR1`
`static final int`
`GLU_NURBS_ERROR10`
`static final int`
`GLU_NURBS_ERROR11`
`static final int`
`GLU_NURBS_ERROR12`
`static final int`
`GLU_NURBS_ERROR13`
`static final int`
`GLU_NURBS_ERROR14`
`static final int`
`GLU_NURBS_ERROR15`
`static final int`
`GLU_NURBS_ERROR16`
`static final int`
`GLU_NURBS_ERROR17`
`static final int`
`GLU_NURBS_ERROR18`
`static final int`
`GLU_NURBS_ERROR19`
`static final int`
`GLU_NURBS_ERROR2`
`static final int`
`GLU_NURBS_ERROR20`
`static final int`
`GLU_NURBS_ERROR21`
`static final int`
`GLU_NURBS_ERROR22`
`static final int`
`GLU_NURBS_ERROR23`
`static final int`
`GLU_NURBS_ERROR24`
`static final int`
`GLU_NURBS_ERROR25`
`static final int`
`GLU_NURBS_ERROR26`
`static final int`
`GLU_NURBS_ERROR27`
`static final int`
`GLU_NURBS_ERROR28`
`static final int`
`GLU_NURBS_ERROR29`
`static final int`
`GLU_NURBS_ERROR3`
`static final int`
`GLU_NURBS_ERROR30`
`static final int`
`GLU_NURBS_ERROR31`
`static final int`
`GLU_NURBS_ERROR32`
`static final int`
`GLU_NURBS_ERROR33`
`static final int`
`GLU_NURBS_ERROR34`
`static final int`
`GLU_NURBS_ERROR35`
`static final int`
`GLU_NURBS_ERROR36`
`static final int`
`GLU_NURBS_ERROR37`
`static final int`
`GLU_NURBS_ERROR4`
`static final int`
`GLU_NURBS_ERROR5`
`static final int`
`GLU_NURBS_ERROR6`
`static final int`
`GLU_NURBS_ERROR7`
`static final int`
`GLU_NURBS_ERROR8`
`static final int`
`GLU_NURBS_ERROR9`
`static final int`
`GLU_OUT_OF_MEMORY`
`static final int`
`GLU_OUTLINE_PATCH`
`static final int`
`GLU_OUTLINE_POLYGON`
`static final int`
`GLU_OUTSIDE`
`static final int`
`GLU_PARAMETRIC_ERROR`
`static final int`
`GLU_PARAMETRIC_TOLERANCE`
`static final int`
`GLU_PATH_LENGTH`
`static final int`
`GLU_POINT`
`static final int`
`GLU_SAMPLING_METHOD`
`static final int`
`GLU_SAMPLING_TOLERANCE`
`static final int`
`GLU_SILHOUETTE`
`static final int`
`GLU_SMOOTH`
Quadric constants
`static final int`
`GLU_TESS_BEGIN`
`static final int`
`GLU_TESS_BEGIN_DATA`
`static final int`
`GLU_TESS_BOUNDARY_ONLY`
`static final int`
`GLU_TESS_COMBINE`
`static final int`
`GLU_TESS_COMBINE_DATA`
`static final int`
`GLU_TESS_COORD_TOO_LARGE`
`static final int`
`GLU_TESS_EDGE_FLAG`
`static final int`
`GLU_TESS_EDGE_FLAG_DATA`
`static final int`
`GLU_TESS_END`
`static final int`
`GLU_TESS_END_DATA`
`static final int`
`GLU_TESS_ERROR`
`static final int`
`GLU_TESS_ERROR_DATA`
`static final int`
`GLU_TESS_ERROR1`
`static final int`
`GLU_TESS_ERROR2`
`static final int`
`GLU_TESS_ERROR3`
`static final int`
`GLU_TESS_ERROR4`
`static final int`
`GLU_TESS_ERROR5`
`static final int`
`GLU_TESS_ERROR6`
`static final int`
`GLU_TESS_ERROR7`
`static final int`
`GLU_TESS_ERROR8`
`static final double`
`GLU_TESS_MAX_COORD`
Tesselation constants
`static final int`
`GLU_TESS_MISSING_BEGIN_CONTOUR`
`static final int`
`GLU_TESS_MISSING_BEGIN_POLYGON`
`static final int`
`GLU_TESS_MISSING_END_CONTOUR`
`static final int`
`GLU_TESS_MISSING_END_POLYGON`
`static final int`
`GLU_TESS_NEED_COMBINE_CALLBACK`
`static final int`
`GLU_TESS_TOLERANCE`
`static final int`
`GLU_TESS_VERTEX`
`static final int`
`GLU_TESS_VERTEX_DATA`
`static final int`
`GLU_TESS_WINDING_ABS_GEQ_TWO`
`static final int`
`GLU_TESS_WINDING_NEGATIVE`
`static final int`
`GLU_TESS_WINDING_NONZERO`
`static final int`
`GLU_TESS_WINDING_ODD`
`static final int`
`GLU_TESS_WINDING_POSITIVE`
`static final int`
`GLU_TESS_WINDING_RULE`
`static final boolean`
`GLU_TRUE`
`static final int`
`GLU_U_STEP`
`static final int`
`GLU_UNKNOWN`
`static final int`
`GLU_V_STEP`
`static final int`
`GLU_VERSION`
`static final int`
`GLU_VERTEX`
`static final double`
`TESS_MAX_COORD`

## Constructor Summary

Constructors
Constructor
Description
`GLU()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`gluBuild2DMipmaps(int target, int components, int width, int height, int format, int type, ByteBuffer data)`
Method gluBuild2DMipmaps
`static boolean`
`gluCheckExtension(String extName, String extString)`
Method gluCheckExtension.
`static String`
`gluErrorString(int error_code)`
`static String`
`gluGetString(int name)`
Method gluGetString.
`static void`
`gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)`
Method gluLookAt
`static GLUtessellator`
`gluNewTess()`
`static void`
`gluOrtho2D(float left, float right, float bottom, float top)`
Method gluOrtho2D
`static void`
`gluPerspective(float fovy, float aspect, float zNear, float zFar)`
Method gluPerspective
`static void`
`gluPickMatrix(float x, float y, float width, float height, IntBuffer viewport)`
Method gluPickMatrix
`static boolean`
`gluProject(float objx, float objy, float objz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer win_pos)`
Method gluProject
`static int`
`gluScaleImage(int format, int widthIn, int heightIn, int typeIn, ByteBuffer dataIn, int widthOut, int heightOut, int typeOut, ByteBuffer dataOut)`
Method gluScaleImage.
`static boolean`
`gluUnProject(float winx, float winy, float winz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer obj_pos)`
Method gluUnproject

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GLU_INVALID_ENUM

public static final int GLU_INVALID_ENUM

See Also:
  - Constant Field Values

### GLU_INVALID_VALUE

public static final int GLU_INVALID_VALUE

See Also:
  - Constant Field Values

### GLU_OUT_OF_MEMORY

public static final int GLU_OUT_OF_MEMORY

See Also:
  - Constant Field Values

### GLU_INCOMPATIBLE_GL_VERSION

public static final int GLU_INCOMPATIBLE_GL_VERSION

See Also:
  - Constant Field Values

### GLU_VERSION

public static final int GLU_VERSION

See Also:
  - Constant Field Values

### GLU_EXTENSIONS

public static final int GLU_EXTENSIONS

See Also:
  - Constant Field Values

### GLU_TRUE

public static final boolean GLU_TRUE

See Also:
  - Constant Field Values

### GLU_FALSE

public static final boolean GLU_FALSE

See Also:
  - Constant Field Values

### GLU_SMOOTH

public static final int GLU_SMOOTH
Quadric constants

See Also:
  - Constant Field Values

### GLU_FLAT

public static final int GLU_FLAT

See Also:
  - Constant Field Values

### GLU_NONE

public static final int GLU_NONE

See Also:
  - Constant Field Values

### GLU_POINT

public static final int GLU_POINT

See Also:
  - Constant Field Values

### GLU_LINE

public static final int GLU_LINE

See Also:
  - Constant Field Values

### GLU_FILL

public static final int GLU_FILL

See Also:
  - Constant Field Values

### GLU_SILHOUETTE

public static final int GLU_SILHOUETTE

See Also:
  - Constant Field Values

### GLU_OUTSIDE

public static final int GLU_OUTSIDE

See Also:
  - Constant Field Values

### GLU_INSIDE

public static final int GLU_INSIDE

See Also:
  - Constant Field Values

### GLU_TESS_MAX_COORD

public static final double GLU_TESS_MAX_COORD
Tesselation constants

See Also:
  - Constant Field Values

### TESS_MAX_COORD

public static final double TESS_MAX_COORD

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_RULE

public static final int GLU_TESS_WINDING_RULE

See Also:
  - Constant Field Values

### GLU_TESS_BOUNDARY_ONLY

public static final int GLU_TESS_BOUNDARY_ONLY

See Also:
  - Constant Field Values

### GLU_TESS_TOLERANCE

public static final int GLU_TESS_TOLERANCE

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_ODD

public static final int GLU_TESS_WINDING_ODD

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_NONZERO

public static final int GLU_TESS_WINDING_NONZERO

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_POSITIVE

public static final int GLU_TESS_WINDING_POSITIVE

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_NEGATIVE

public static final int GLU_TESS_WINDING_NEGATIVE

See Also:
  - Constant Field Values

### GLU_TESS_WINDING_ABS_GEQ_TWO

public static final int GLU_TESS_WINDING_ABS_GEQ_TWO

See Also:
  - Constant Field Values

### GLU_TESS_BEGIN

public static final int GLU_TESS_BEGIN

See Also:
  - Constant Field Values

### GLU_TESS_VERTEX

public static final int GLU_TESS_VERTEX

See Also:
  - Constant Field Values

### GLU_TESS_END

public static final int GLU_TESS_END

See Also:
  - Constant Field Values

### GLU_TESS_ERROR

public static final int GLU_TESS_ERROR

See Also:
  - Constant Field Values

### GLU_TESS_EDGE_FLAG

public static final int GLU_TESS_EDGE_FLAG

See Also:
  - Constant Field Values

### GLU_TESS_COMBINE

public static final int GLU_TESS_COMBINE

See Also:
  - Constant Field Values

### GLU_TESS_BEGIN_DATA

public static final int GLU_TESS_BEGIN_DATA

See Also:
  - Constant Field Values

### GLU_TESS_VERTEX_DATA

public static final int GLU_TESS_VERTEX_DATA

See Also:
  - Constant Field Values

### GLU_TESS_END_DATA

public static final int GLU_TESS_END_DATA

See Also:
  - Constant Field Values

### GLU_TESS_ERROR_DATA

public static final int GLU_TESS_ERROR_DATA

See Also:
  - Constant Field Values

### GLU_TESS_EDGE_FLAG_DATA

public static final int GLU_TESS_EDGE_FLAG_DATA

See Also:
  - Constant Field Values

### GLU_TESS_COMBINE_DATA

public static final int GLU_TESS_COMBINE_DATA

See Also:
  - Constant Field Values

### GLU_TESS_ERROR1

public static final int GLU_TESS_ERROR1

See Also:
  - Constant Field Values

### GLU_TESS_ERROR2

public static final int GLU_TESS_ERROR2

See Also:
  - Constant Field Values

### GLU_TESS_ERROR3

public static final int GLU_TESS_ERROR3

See Also:
  - Constant Field Values

### GLU_TESS_ERROR4

public static final int GLU_TESS_ERROR4

See Also:
  - Constant Field Values

### GLU_TESS_ERROR5

public static final int GLU_TESS_ERROR5

See Also:
  - Constant Field Values

### GLU_TESS_ERROR6

public static final int GLU_TESS_ERROR6

See Also:
  - Constant Field Values

### GLU_TESS_ERROR7

public static final int GLU_TESS_ERROR7

See Also:
  - Constant Field Values

### GLU_TESS_ERROR8

public static final int GLU_TESS_ERROR8

See Also:
  - Constant Field Values

### GLU_TESS_MISSING_BEGIN_POLYGON

public static final int GLU_TESS_MISSING_BEGIN_POLYGON

See Also:
  - Constant Field Values

### GLU_TESS_MISSING_BEGIN_CONTOUR

public static final int GLU_TESS_MISSING_BEGIN_CONTOUR

See Also:
  - Constant Field Values

### GLU_TESS_MISSING_END_POLYGON

public static final int GLU_TESS_MISSING_END_POLYGON

See Also:
  - Constant Field Values

### GLU_TESS_MISSING_END_CONTOUR

public static final int GLU_TESS_MISSING_END_CONTOUR

See Also:
  - Constant Field Values

### GLU_TESS_COORD_TOO_LARGE

public static final int GLU_TESS_COORD_TOO_LARGE

See Also:
  - Constant Field Values

### GLU_TESS_NEED_COMBINE_CALLBACK

public static final int GLU_TESS_NEED_COMBINE_CALLBACK

See Also:
  - Constant Field Values

### GLU_AUTO_LOAD_MATRIX

public static final int GLU_AUTO_LOAD_MATRIX
NURBS constants

See Also:
  - Constant Field Values

### GLU_CULLING

public static final int GLU_CULLING

See Also:
  - Constant Field Values

### GLU_SAMPLING_TOLERANCE

public static final int GLU_SAMPLING_TOLERANCE

See Also:
  - Constant Field Values

### GLU_DISPLAY_MODE

public static final int GLU_DISPLAY_MODE

See Also:
  - Constant Field Values

### GLU_PARAMETRIC_TOLERANCE

public static final int GLU_PARAMETRIC_TOLERANCE

See Also:
  - Constant Field Values

### GLU_SAMPLING_METHOD

public static final int GLU_SAMPLING_METHOD

See Also:
  - Constant Field Values

### GLU_U_STEP

public static final int GLU_U_STEP

See Also:
  - Constant Field Values

### GLU_V_STEP

public static final int GLU_V_STEP

See Also:
  - Constant Field Values

### GLU_PATH_LENGTH

public static final int GLU_PATH_LENGTH

See Also:
  - Constant Field Values

### GLU_PARAMETRIC_ERROR

public static final int GLU_PARAMETRIC_ERROR

See Also:
  - Constant Field Values

### GLU_DOMAIN_DISTANCE

public static final int GLU_DOMAIN_DISTANCE

See Also:
  - Constant Field Values

### GLU_MAP1_TRIM_2

public static final int GLU_MAP1_TRIM_2

See Also:
  - Constant Field Values

### GLU_MAP1_TRIM_3

public static final int GLU_MAP1_TRIM_3

See Also:
  - Constant Field Values

### GLU_OUTLINE_POLYGON

public static final int GLU_OUTLINE_POLYGON

See Also:
  - Constant Field Values

### GLU_OUTLINE_PATCH

public static final int GLU_OUTLINE_PATCH

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR1

public static final int GLU_NURBS_ERROR1

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR2

public static final int GLU_NURBS_ERROR2

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR3

public static final int GLU_NURBS_ERROR3

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR4

public static final int GLU_NURBS_ERROR4

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR5

public static final int GLU_NURBS_ERROR5

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR6

public static final int GLU_NURBS_ERROR6

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR7

public static final int GLU_NURBS_ERROR7

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR8

public static final int GLU_NURBS_ERROR8

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR9

public static final int GLU_NURBS_ERROR9

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR10

public static final int GLU_NURBS_ERROR10

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR11

public static final int GLU_NURBS_ERROR11

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR12

public static final int GLU_NURBS_ERROR12

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR13

public static final int GLU_NURBS_ERROR13

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR14

public static final int GLU_NURBS_ERROR14

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR15

public static final int GLU_NURBS_ERROR15

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR16

public static final int GLU_NURBS_ERROR16

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR17

public static final int GLU_NURBS_ERROR17

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR18

public static final int GLU_NURBS_ERROR18

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR19

public static final int GLU_NURBS_ERROR19

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR20

public static final int GLU_NURBS_ERROR20

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR21

public static final int GLU_NURBS_ERROR21

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR22

public static final int GLU_NURBS_ERROR22

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR23

public static final int GLU_NURBS_ERROR23

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR24

public static final int GLU_NURBS_ERROR24

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR25

public static final int GLU_NURBS_ERROR25

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR26

public static final int GLU_NURBS_ERROR26

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR27

public static final int GLU_NURBS_ERROR27

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR28

public static final int GLU_NURBS_ERROR28

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR29

public static final int GLU_NURBS_ERROR29

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR30

public static final int GLU_NURBS_ERROR30

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR31

public static final int GLU_NURBS_ERROR31

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR32

public static final int GLU_NURBS_ERROR32

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR33

public static final int GLU_NURBS_ERROR33

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR34

public static final int GLU_NURBS_ERROR34

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR35

public static final int GLU_NURBS_ERROR35

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR36

public static final int GLU_NURBS_ERROR36

See Also:
  - Constant Field Values

### GLU_NURBS_ERROR37

public static final int GLU_NURBS_ERROR37

See Also:
  - Constant Field Values

### GLU_CW

public static final int GLU_CW

See Also:
  - Constant Field Values

### GLU_CCW

public static final int GLU_CCW

See Also:
  - Constant Field Values

### GLU_INTERIOR

public static final int GLU_INTERIOR

See Also:
  - Constant Field Values

### GLU_EXTERIOR

public static final int GLU_EXTERIOR

See Also:
  - Constant Field Values

### GLU_UNKNOWN

public static final int GLU_UNKNOWN

See Also:
  - Constant Field Values

### GLU_BEGIN

public static final int GLU_BEGIN

See Also:
  - Constant Field Values

### GLU_VERTEX

public static final int GLU_VERTEX

See Also:
  - Constant Field Values

### GLU_END

public static final int GLU_END

See Also:
  - Constant Field Values

### GLU_ERROR

public static final int GLU_ERROR

See Also:
  - Constant Field Values

### GLU_EDGE_FLAG

public static final int GLU_EDGE_FLAG

See Also:
  - Constant Field Values

## Constructor Details

### GLU

public GLU()

## Method Details

### gluLookAt

public static void gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)
Method gluLookAt

Parameters:
  `eyex` -
  `eyey` -
  `eyez` -
  `centerx` -
  `centery` -
  `centerz` -
  `upx` -
  `upy` -
  `upz` -

### gluOrtho2D

public static void gluOrtho2D(float left, float right, float bottom, float top)
Method gluOrtho2D

Parameters:
  `left` -
  `right` -
  `bottom` -
  `top` -

### gluPerspective

public static void gluPerspective(float fovy, float aspect, float zNear, float zFar)
Method gluPerspective

Parameters:
  `fovy` -
  `aspect` -
  `zNear` -
  `zFar` -

### gluProject

public static boolean gluProject(float objx, float objy, float objz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer win_pos)
Method gluProject

Parameters:
  `objx` -
  `objy` -
  `objz` -
  `modelMatrix` -
  `projMatrix` -
  `viewport` -
  `win_pos` -

### gluUnProject

public static boolean gluUnProject(float winx, float winy, float winz, FloatBuffer modelMatrix, FloatBuffer projMatrix, IntBuffer viewport, FloatBuffer obj_pos)
Method gluUnproject

Parameters:
  `winx` -
  `winy` -
  `winz` -
  `modelMatrix` -
  `projMatrix` -
  `viewport` -
  `obj_pos` -

### gluPickMatrix

public static void gluPickMatrix(float x, float y, float width, float height, IntBuffer viewport)
Method gluPickMatrix

Parameters:
  `x` -
  `y` -
  `width` -
  `height` -
  `viewport` -

### gluGetString

public static String gluGetString(int name)
Method gluGetString.

Parameters:
  `name` -
Returns:
  String

### gluCheckExtension

public static boolean gluCheckExtension(String extName, String extString)
Method gluCheckExtension.

Parameters:
  `extName` -
  `extString` -
Returns:
  boolean

### gluBuild2DMipmaps

public static int gluBuild2DMipmaps(int target, int components, int width, int height, int format, int type, ByteBuffer data)
Method gluBuild2DMipmaps

Parameters:
  `target` -
  `components` -
  `width` -
  `height` -
  `format` -
  `type` -
  `data` -
Returns:
  int

### gluScaleImage

public static int gluScaleImage(int format, int widthIn, int heightIn, int typeIn, ByteBuffer dataIn, int widthOut, int heightOut, int typeOut, ByteBuffer dataOut)
Method gluScaleImage.

Parameters:
  `format` -
  `widthIn` -
  `heightIn` -
  `typeIn` -
  `dataIn` -
  `widthOut` -
  `heightOut` -
  `typeOut` -
  `dataOut` -
Returns:
  int

### gluErrorString

public static String gluErrorString(int error_code)

### gluNewTess

public static GLUtessellator gluNewTess()